package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussUnknownException;
import com.chaozhanggui.dao.system.entity.TbPlussUnknownExceptionWithBLOBs;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussUnknownExceptionMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussUnknownExceptionWithBLOBs record);

    int insertSelective(TbPlussUnknownExceptionWithBLOBs record);

    TbPlussUnknownExceptionWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussUnknownExceptionWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussUnknownExceptionWithBLOBs record);

    int updateByPrimaryKey(TbPlussUnknownException record);
}